/**************************************************************************/
/* GEA11 ( 画面定義 )                                                     */
/*                                                                        */
/* Created : 2010/05/07 16:07:45                                          */
/**************************************************************************/
CREATE TABLE GEA11 (
   SYSTEM_ID     VARCHAR(10)                 NOT NULL                  /* 10  システムID     */
 , SEQNO         NUMERIC(7)      DEFAULT 0   NOT NULL                  /* 20  表示順         */
 , GUIKEY        VARCHAR(30)                 NOT NULL                  /* 30  画面ID         */
 , NAME_JA       VARCHAR(200)                                          /* 40  名称           */
 , GUILVL        VARCHAR(1)      DEFAULT '3' NOT NULL                  /* 50  画面Lv         */
 , ADDRESS       VARCHAR(256)                                          /* 60  アドレス       */
 , ROLES         VARCHAR(500)                                          /* 70  ロールズ       */
 , RWMODE        VARCHAR(3)                                            /* 80  モード         */
 , TARGET        VARCHAR(10)                                           /* 90  ターゲット     */
 , PARAM         VARCHAR(500)                                          /* 100 設定値         */
 , CDKH          VARCHAR(1)                                            /* 110 改廃コード     */
 , KBSAKU        VARCHAR(1)      DEFAULT '1' NOT NULL                  /* 120 作成区分       */
 , RELEASE_NOTES VARCHAR(120)                                          /* 130 リリースノート */
 , RDC_CODE      VARCHAR(20)                                           /* 140 設変番号       */
 , GROUPS        VARCHAR(500)                                          /* 150 グループス     */
 , LABEL_CLM     VARCHAR(30)                                           /* 160 ラベルカラム   */
 , COMMENTS      VARCHAR(500)                                          /* 170 コメント       */
 , KBLINK        VARCHAR(10)                                           /* 180 リンク区分     */
 , UNIQ          BIGINT                      NOT NULL PRIMARY KEY      /* 190 ユニークキー   */
 , FGJ           VARCHAR(1)      DEFAULT '1' NOT NULL                  /* 200 状態フラグ     */
 , DYSET         VARCHAR(14)                                           /* 210 登録日時       */
 , PGSET         VARCHAR(10)                                           /* 220 作成PG         */
 , PGPSET        VARCHAR(10)                                           /* 230 作成親PG       */
 , USRSET        VARCHAR(10)                                           /* 240 作成社員       */
 , DYUPD         VARCHAR(14)                                           /* 250 更新日時       */
 , PGUPD         VARCHAR(10)                                           /* 260 更新PG         */
 , PGPUPD        VARCHAR(10)                                           /* 270 更新親PG       */
 , USRUPD        VARCHAR(10)                                           /* 280 更新者         */
);

CREATE SEQUENCE GEA11S01 ;


CREATE TRIGGER GEA11T01 FOR GEA11
  BEFORE INSERT 
  AS BEGIN 
    NEW.UNIQ = GEN_ID( GEA11S01,1 );
  END; 


